<?php

return [
    //短信引擎
    'engine' => [
        'class' => 'app\\base\\lib\\Smsbao',                       //购买短信请联系 微信：hnmq1105,或自行对接其他短信引擎
        'config' => [           //此配置是短信引擎的配置，具体内容，请依据不同的短信引擎修改，此处是默认迈信的配置
            'username' => env('SMS.SMSBAO_USERNAME', ''),
            'apiKey' => env('SMS.SMSBAO_APIKEY', ''),
        ],
    ],
    'prefix' => "",     //短信前缀，默认取商城名称
    //短信类型
    'type'   => [
        'default'  => [
            'name' => '默认',
            'content' => '{param1}'
        ],
        'login' => [
            'name' => '登录',
            'content' => '您正在登陆账号，验证码是{param1}，请勿告诉他人。',
            'check'  => true            //是否需要校验，默认false，如果需要校验的话，会把第三个参数保存到base_sms的code字段中
        ],
        'register' => [
            'name' => '注册',
            'content' => '你好，您正在注册账号，验证码是{param1}，请勿告诉他人。',
            'check'  => true
        ],
        'resetpw' => [
            'name' => '重置密码',
            'content' => '你好，您重置您的密码，验证码是{param1}，请勿告诉他人。',
            'check'  => true
        ],
    ],
    'blacklist' => [],      //黑名单手机号码
];
